Subject: Re: diff-highlight highlight words?

From: Scott Baker <[email-masked]>
Date: Wed, 12 Nov 2014 09:59:35 -0800

On 11/11/2014 11:56 PM, Jeff King wrote:
> [+cc git@vger, since this may be of interest to others]
>
> On Tue, Nov 11, 2014 at 02:40:59PM -0800, Scott Baker wrote:
>
> > I'd like to recreate the github style diffs on the command line. It
> > appears that your diff-highlight is very close. The current version only
> > allows you to "invert the colors" which isn't ideal.
>
> Yes, I never built any configurability into the script. However, you can
> tweak the definitions at the top to get different effects.
> Traditionally, ANSI colors on the terminal only came in two flavors:
> "normal" and "bright" (which is attached to the "bold" attribute").
> Instead of reversing video, you can switch on brightness like this:

It's 2014, most terminals are at least 256 colors. I'm fine if the
defaults are 16 colors (that's safest), but it would be really cool if
we could have an option for:

line add color
line remove color
word add color
word remove color

I would then configure appropriate colors from the 256 color palette. I
think the Github style diffs which include the lines/words that are
changed are very readable and make dealing with diffs easier.

-- 
Scott Baker - Canby Telcom 
Senior System Administrator - RHCE